# http://www.appveyor.com/docs/appveyor-yml

# Fix line endings in Windows. (runs before repo cloning)
init:
  - git config --global core.autocrlf true

# Test against these versions of Node.js.
environment:
  matrix:
    - nodejs_version: "6"
    - nodejs_version: "8"
    - nodejs_version: "10"
    - nodejs_version: "11"

# Install scripts. (runs after repo cloning)
install:
  - git rev-parse HEAD
  # Get the latest stable version of Node 0.STABLE.latest
  - ps: Install-Product node $env:nodejs_version
  - choco install yarn --version=1.13.0
  - appveyor-retry yarn
  - appveyor-retry yarn add mocha-appveyor-reporter # must be installed locally.

cache:
  - '%LOCALAPPDATA%\Yarn'

# Post-install test scripts.
test_script:
  # Output useful info for debugging.
  - git rev-parse HEAD
  - cmd: yarn run test

# Don't actually build.
build: off

# Set build version format here instead of in the admin panel.
version: "{build}"
